=== debian/changelog ===
debian-edu-config (1.425) unstable; urgency=low

  [ José L. Redrejo Rodríguez ]
  * updated ldap-debian-edu-install to add ldif files for powerdns
  * added cf/cf.pdns to fix pdns-recursor configuration
  * added ldap-bootstrap/dns ldif files
  * added etc/powerdns/pdns.d/pdns-debian-edu.conf and updated Makefile

  [ Vagrant Cascadian ]
  * Actually install plugin to add keys to the LTSP chroot's apt keyring.
  * Exit cron.hourly script when debian-edu-config is no longer installed by
    checking for presence of debian-edu-fsautoresize and innetgr.
    Patch by Filippo Giunchedi <filippo@debian.org> (Closes: #493338)
  * Remove most traces of lessdisks, as it was removed from Debian.
  * Use invoke-rc.d to reload bind in resolvconf script, so that it respects
    the policy layer (and fixes lintian warning).
  * Call update-mime without full path in postinst, as suggested by Debian
    Policy 6.1.
  * purge Packages and Release files that debootstrap may have copied
    incorrectly, which prevents apt from fetching the correct Packages files
    when installing from NETINST CD
  * add ltsp-build-client plugin (backported from upstream) so that it respects
    http proxy settings for apt when building ltsp chroot 
  * update Standards-Version to 3.8.1, no changes needed. 
  * update debian/compat to version 7, as older versions are no longer used.
  * build-depend on debhelper >= 7 
  * add "set -e" to preinst, so that errors stop package from installing
  * lower priority to extra, as it depends on several packages that are
    priority extra, to comply with debian policy 2.5.

  [ Holger Levsen ]
  * Add depends to net-tools.
  * Remove cf.bind9 and etc/bind - we don't need it anymore.
  * Rename testsuite/bind9-dns to testsuite/dnsd. 
  * Cleanup and fix cf/cfengine.conf so that cf.pdns is executed.
  * Include patch from John Skogtvedt to ldap-bootstrap/dhcp.ldif to enhance 
   the LDAP structure to work better with the changes in lwat adding support
   for managing DHCP with lwat.
   - Fix wrong filename on cn=INTERNAL
   - Add another dhcpGroup to cn=INTERNAL, because of the 250-host dhcpGroup 
    limit (there is room for more than 250 hosts on the 10.0.2.0/23 network)
   -  Remove all per-host filenames. It's confusing and a source of errors
      if the filename on dhcpSharedNetwork/dhcpGroup is changed and only a few
      hosts have filename set.

  [ Luk Claes ]
  * Fix Italian translation: s/nagios2/nagios3/.
  * Remove obsolete nagios2 stuff.

  [ Petter Reinholdtsen ]
  * Replace pam_foreground with pam_ck_connector.so in
    etc/pam.d/common-session-debian-edu, to move to consolekit instead
    of pam-foreground for tracking sessions for device access.
  * Extend the README with ideas for LDAP based client configuration.
  * Adjust debian-edu-pxeinstall to handle memtest86+ as well as
    memtest86.
  * Extend debian-edu-pxeinstall to fetch boot images from the
    d-i-bootimages package if it is installed.

  [ Oded Naveh ]
  * Install override plugin to remove existing chroot at before-install.
    This plugin is primarily intended to serve during system installation.

  [ Vagrant Cascadian ]
  * only delete existing LTSP chroot if --purge-chroot commandline option is
    specified. 
  * ltsp-build-client plugins: default --purge-chroot to true when CD install
    is detected

  [ Ronny Aasen ]
  * change loglevel of ldap server from 0 to none, to get critical errors in
    the log.
  * change the server check of cfengine, to look for the Main-Server string in    
    /etc/debian-edu/config. checking of named is useless after we replaced
    bind.
  * add bind, and pdns checks to cfengine. and use it in the bind cf script. 
  * Adapt smbaddclient.pl to tbldump output in lenny, while keeping backwards 
    compatibility. 
  * add some common samba indexes to slapd-lenny_debian-edu.conf

  [ Daniel Hess ]
  * Update samba.schema from Samba version found in Lenny.
    The Samba version found in Lenny uses some new attributes not yet
    supported by out LDAP setup.
  * Allow smbadmin (the administrative user used by Samba) to access
    some more attributes. The Samba version in Lenny seems to be very
    unhappy if it can not add or modify this attributes.
  * Load (include) dnsdomain2.schema on slapd-lenny_debian-edu.conf
    needed by powerdns.
  * Correct webcache cname and add some cnames of tjener to ldap
  * Fix pdns cfengine script to really change local-port of recursor.
  * Add SRV records for _ldap and _syslog to the LDAP DNS bootstrap
    file. Fixes libnss-ldapd lookups with 'uri DNS' configuration.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Tue, 12 May 2009 22:01:23 -0700

debian-edu-config (1.424) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Make sure samba test is executed also on combined servers.
  * When copying the host sources.list, avoid cdrom entries to try to
    get the installation working with netinst CD.
  * Make iceweasel the default browser, as it handle multimedia and
    flash pages better than konqueror.
    - Use it as the x-www-browser alternative using
      etc/apt/apt.conf.d/99-edu-prefer-iceweasel.
    - Tell KDE to use it as its default browser in
      /usr/share/debian-edu/common/share/config/kdeglobals.
    - Make it show up in the KDE panel instead of konqueror for all
      users using
      /usr/share/debian-edu/common/share/apps/kicker/default-apps.
  * Add OOo Writer to the default KDE panel.
  * Existing LDAP SSL certificate should only be a warning, not an
    error.  This avoid an error report during installation when both
    cfengine runs work as they should.
  * Increase lifetime of OpenLDAP SSL certificate from 30 days to 10
    years.
  * Add cfengine rule to remove the generated /var/www/index.html blocking
    our translated web pages.
  * Restructure debian-edu-pxeinstall, moving pxelinux.0 from
    /var/lib/tftpboot/debian-edu/ to /var/lib/tftpboot/ and changes

