=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=debian-edu-config

DESTDIR=`pwd`/debian/debian-edu-config

build:
	$(checkdir)

	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	$(MAKE) clean
	dh_clean

binary-arch: 

binary-indep: checkroot build
	$(checkdir)
	dh_testdir
	dh_testroot
	install -d $(DESTDIR)
	cd $(DESTDIR) && install -d `cat ../dirs`
	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)
	dh_installdebconf
	dh_installdocs
	dh_installdirs
	dh_installcron
	dh_installinit --init-script resize_lvm -r --no-start -u"start 32 S ."
	dh_installinit --init-script open-backdoor
	# Start it after 91apache
	dh_installinit --init-script fetch-ldap-cert -r --no-start -u"start 95 2 3 4 5 ."
	dh_installinit --init-script boot_xconf --no-start -u"start 20 2 3 4 5 ."
	dh_installinit --init-script enable-nat --no-start
	# Should start before syslog, to make sure the correct hostname is used in logs
	dh_installinit --init-script update-hostname --no-start -u"start 05 2 3 4 5 ."
	dh_installinit --init-script start-wlan --no-start
	dh_installinit --init-script report-reboot -r --no-start -u"start 20 2 3 4 5 ."
	dh_installchangelogs
	#dh_link /usr/share/debian-edu-config/tools/ldapdump.sh /etc/slbackup/pre.d/ldapdump.sh
	#dh_link /etc/apache2/mods-available/userdir.load /etc/apache2/mods-available/debian-edu-userdir.load
	dh_link
	dh_gencontrol
	dh_gconf  --priority=50
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
