## debian-edu-config 1.432

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,10 @@
 
 SPROGS = debian-edu-restart-services \
 	debian-edu-test-install ltsp-make-client \
+        debian-edu-ltsp-audiodivert \
         debian-edu-fsautoresize debian-edu-etc-svk \
-        debian-edu-pxeinstall
+        debian-edu-update-netblock \
+        debian-edu-pxeinstall snakeoil-on-ice debian-edu-hwsetup
 
 INSTALL     = install -D -p -m 755
 INSTALL_DATA= install -D -p -m 644
@@ -27,6 +29,7 @@
 pkglibdir  = $(libdir)/debian-edu-config
 mailcapdir = $(libdir)/mime/packages
 vardir     = /var
+wwwdir     = /etc/debian-edu/www
 
 
 CFFILES = \
@@ -39,12 +42,14 @@
 	cf.exim \
 	cf.imap \
 	cf.homes \
+	cf.iceweasel \
 	cf.inetd \
 	cf.kdm \
 	cf.ldapserver \
 	cf.ldapclient \
 	cf.locale \
 	cf.ltsp \
+	cf.lwat \
 	cf.fstab \
 	cf.mplayer \
 	cf.nagios3 \
@@ -62,10 +67,12 @@
 
 # Files to install in /etc/
 SYSCONFFILES = \
+	asound.conf \
 	apt/apt.conf.d/99-edu-prefer-iceweasel \
 	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
 	X11/Xsession.d/10debian-edu-one-login-per-host \
 	X11/Xsession.d/10debian-edu-set-umask \
+	X11/Xsession.d/15debian-edu-ltsp \
 	desktop-profiles/debian-edu-config.listing \
 	courier/authldaprc-debian-edu \
 	courier/imapd-debian-edu.cnf \
@@ -98,7 +105,6 @@
 	pam.d/common-auth-winbind-debian-edu \
 	pam.d/common-password-winbind-debian-edu \
 	pam.d/common-session-debian-edu \
-	usbmount/usbmount-debian-edu.conf \
 	samba/netlogon/login.bat \
 	samba/netlogon/shortcut.vbs \
 	samba/smb-debian-edu.conf \
@@ -130,8 +136,8 @@
 	nagios3/debian-edu/service_templates.cfg \
 	nagios3/debian-edu/timeperiods.cfg \
 	munin/debian-edu-munin-node.conf\
-	powerdns/pdns.d/pdns-debian-edu.conf
-
+	powerdns/pdns.d/pdns-debian-edu.conf\
+	dbus-1/system.d/hal-debian-edu.conf
 
 LIBFILES = \
 	mime/packages/debian-edu-mailcap
@@ -139,6 +145,7 @@
 SYSCONFSCRIPTS = \
 	shutdown-at-night/clients-generator \
 	resolvconf/update.d/bind-debian-edu \
+	resolvconf/update.d/ltsp-chroots \
 	X11/Xsession-debian-edu \
 	samba/smbaddclient.pl
 
@@ -156,7 +163,8 @@
 	netgroup.ldif \
 	dhcp.ldif \
 	dns_skole.ldif \
-	dns_arpa.ldif 
+	dns_arpa.ldif \
+	dns_ranges.ldif
 
 LDAPPROGRAMS = \
 	ldappasswd2 \
@@ -166,17 +174,17 @@
 	samba-debian-edu-admin \
 	mkslapdcert
 
-VARFILES = \
-	www/index.html.de \
-	www/index.html.en \
-	www/index.html.es \
-	www/index.html.fr \
-	www/index.html.no \
-	www/index.html.nl \
-	www/index.html.ru \
-	www/skl-ren_css.css \
-	www/logo-trans.png \
-	www/wpad.dat
+WWWFILES = \
+	index.html.de \
+	index.html.en \
+	index.html.es \
+	index.html.fr \
+	index.html.no \
+	index.html.nl \
+	index.html.ru \
+	skl-ren_css.css \
+	logo-trans.png \
+	wpad.dat
 
 KIOSKFILES = \
 	share/debian-edu/students/share/apps/kdesktop/Desktop/kalzium.desktop \
@@ -237,15 +245,18 @@
 		$(INSTALL_DATA) "share/man/man8/$$sprog.8" $(DESTDIR)$(mandir)/man8/$$sprog.8 ; \
 		fi \
 	done
+
 	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README
+
+	$(INSTALL_DATA) doc/examples/smb-roaming-profiles-en.conf $(DESTDIR)$(docdir)/examples/smb-roaming-profiles-en.conf
+	$(INSTALL_DATA) doc/examples/smb-roaming-profiles-de.conf $(DESTDIR)$(docdir)/examples/smb-roaming-profiles-de.conf
+
 	set -e ; for cf in $(CFFILES); do \
 		$(INSTALL_DATA) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
 	done
 	set -e ; for cf in $(CFBINFILES); do \
 		$(INSTALL) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
 	done
-
-
 
 	set -e ; for file in $(SYSCONFFILES) ; do \
 		$(INSTALL_DATA) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
@@ -272,7 +283,12 @@
 		share/debian-edu-config/tools/nbdswap-cleanup \
 		share/debian-edu-config/tools/nbdquery \
 		share/debian-edu-config/tools/qemu-test-network \
+		share/debian-edu-config/tools/run-at-firstboot \
 		share/debian-edu-config/tools/iceweasel-plugin-support \
+		share/debian-edu-config/tools/pipegraph \
+		share/debian-edu-config/tools/squid-update-cachedir \
+		share/debian-edu-config/ltsp_set_runlevel \
+		share/debian-edu-config/ltsp_local_mount \
 	; do \
 		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
 	done
@@ -301,11 +317,13 @@
  share/ltsp/plugins/ltsp-build-client/Debian-custom/000-default-dist \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/002-default-apt-keyring \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/010-http-proxy \
+ share/ltsp/plugins/ltsp-build-client/Debian-custom/010-set-resolver \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/015-edu-apt-source \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/020-rootpath \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/025-bootprompt-opts \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/031-alsa-sound-pkgs \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs \
+ share/ltsp/plugins/ltsp-build-client/Debian-custom/035-default-lts-conf \
+ share/ltsp/plugins/ltsp-build-client/Debian-custom/050-nbdquery \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/099-progress-log \
 	; do \
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
@@ -314,8 +332,10 @@
 	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab
 
 	set -e ; for f in \
-		share/debian-edu-config/rsyslog-clients \
+		share/debian-edu-config/rsyslog-client \
 		share/debian-edu-config/rsyslog-collector \
+		share/debian-edu-config/iceweacel-networked-prefs.js \
+		share/debian-edu-config/default-ltsp-client-setup \
 		share/iceweasel/defaults/preferences/debian-edu.js \
 	; do \
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
@@ -331,28 +351,3 @@
 	done
 	set -e ; for schema in $(SCHEMAS) ; do \
 		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\
-	done
-	set -e ; for ldif in $(LDIFS) ; do \
-		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/$$ldif ; \
-	done
-
-	set -e ; for file in $(VARFILES) ; do \
-		$(INSTALL_DATA) var/$$file $(DESTDIR)/var/$$file ; \
-	done
-
-	chmod 700 $(DESTDIR)/var/lib/maildirs/
-
-install-testsuite:
-	install -d $(DESTDIR)$(pkglibdir)/testsuite
-	set -e ; for test in testsuite/* ; do \
-		$(INSTALL) $$test $(DESTDIR)$(pkglibdir)/$$test; \
-	done
-
-
-
-clean:
-	# Remove CVS cruft
-	-find . -name '.#*' | xargs rm
-
-dist:
-	debuild -us -uc
