=== debian/changelog ===
debian-edu-config (1.432) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Adjust nbdquery, make sure to throw away error messages from lsof
    to avoid passing noise to nbdswap-cleanup.
  * Correct URL used in chguserpw.desktop, to use https://www/lwat
    instead of https://tjener/, to make sure the Icewease SSL overrides
    take effect when visiting the password change page.
  * Add ltsp test checking the Debian Edu profile setting in
    /opt/ltsp/arch/etc/debian-edu/config, to detect problem discovered
    by Ole-Anders Andreassen.
  * Adjust ltsp-make-client used to improve LTSP based diskless
    workstations:
    - Correct typo, copy the cert_override.txt file without --parent.
    - Report content of host resolv.conf when DNS lookup fail, to make
      it easier to debug.
    - Send messages to stdout instead of stderr, to avoid reordering
      of messages because of independend buffering of stdout and
      stderr.
    - Bind-mount the APT cache earlier, to make sure it is used for
      all package installations.
    - Add more status reporting to make it easier to figure out when
      the script fail, if it fails.
    - Move diskless workstation specific init.d scripts to
      /usr/share/debian-edu-config/ and symlink them in place to make
      sure the files belong to a package and can be bugfixed using the
      normal upgrade mechanism.
    - Avoid boot warning when booting non-laptop diskless workstations
      by only making /var/lib/acpi-support writable if it exist.
    - Do not install libpam-mount and smbfs, until someone can explain
      why they are needed on the default diskless workstations setup.
      They are missing on the DVD and give different diskless
      workstation environment when installing from DVD and netinst Cd.
    - Insert new init.d scripts after enabling and disabling init.d
      scripts, to make sure update-rc.d reorder the boot sequence
      based on dependencies.  This solve slow boot and USB mount
      issues on diskless workstations.
    - Disable the xdebian-edu-firstboot init.d script, it is not
      needed on LTSP clients.
    - Drop rule to disable now removed init.d script boot_xconf.
  * Add resolvconf update script to copy the current /etc/resolv.conf
    to the LTSP chroots when it changes, to make sure apt and other
    tools work in the chroots.
  * Update Nagios configuration:
    - Add check for swap usage, report warning when less than 10% is
      free, and critical when less tha 5% is free.
    - Change process count warning and criticial limits from 250/400
      to 500/1000, as a thin client server easily will reach the 250
      process limit.
    - Change check for DNS to look up the DNS server address instead
      of www.skolelinux.org, to make sure the check work also without
      Internet access.
  * Remove now-obsolete configuration and setup for usbmount.  We use
    dbus and hal for this these days.
  * Fix minor typo in snakeoil-on-ice.

  [ Oded Naveh ]
  * Modified snakeoil-on-ice to allow update of an existing override
    file by testing the content of the file not only its existence.

 -- Holger Levsen <holger@debian.org>  Mon, 11 Jan 2010 22:48:19 +0100

debian-edu-config (1.431) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Adjust ltsp-make-client used to improve LTSP based diskless
    workstations:
    - Purge lvm2 from the LTSP chroot, to avoid hang during shutdown
      (Solves skolelinux bug #1403).
    - Do not add '@include common-pammount' in pam.d/kdm, as
      /etc/pam.d/common-pammount is missing and including a
      non-existing file is a fatal error for PAM.
    - Make sure to look for the same /etc/exports entry as cfengine
      inserts, to make sure duplicate entries are not inserted.
    - Make sure /var/lib/acpi-support/ is writable, for acpi-support
      to be able to write its status files.
    - Fix minor typo in code copying /etc/environment to LTSP chroot.
  * Enable diskless workstations on all thin-client-server
    installations, not only combined main-server+thin-client-server.
  * Adjust debian-edu-pxeinstall to improve the PXE installation
    experience:
    - Write default PXE menu to debian-edu/ instead of pxelinux.cfg/,
      and write default menus for diskless workstations and thin
      clients to make it easier to change this after installation.
    - Remove redundant mkdir calls.
    - Rewrite preseed/early_command to parse the Package list to find
      the latest udebs to install, to avoid having to maintain a list
      of extra udebs to install on ftp.skolelinux.org.  Based on code
      from Vagrant Cascadian.
    - Correct code used to detect DVD installs.  Grep
      case-IN-sensitive in /etc/apt/sources.list.
    - Mention which desktop will be installed in the PXE menu entry for
      doing installations.
    - Make sure to fetch the upgraded udebs from the test repository
      if the main-server installation was using a test build.
  * Adjust the xorg.conf file generated for HP Mini 2133 by
    debian-edu-hwsetup, to make its formatting match the file
    generated by xdexconf, to make it easier to compare the two.
    Rewrite how the keyboard layout is detected to try to get it
    working.
  * Add SuspendTime=60 to arts configuration used with thin client
    logins, to make the setting consistent with the value currently
    used.
  * Rewrite sound setup for thin clients to use Pulseaudio and ALSA
    forwarding to Pulseaudio for everything using ALSA, and divert
    binaries and add wrappers using padsp for audacity and gtick to
    get these packages currently using OSS /dev/dsp by default to
    work.  Keeping ESD configuration for KDE on thin clients, as it
    did not work without it.  Need to find fix for kmix on thin clients.
    (Solves skolelinux bug #1370)
  * Extend self test of LTSP to verify that the packages we want to
    have installed in LTSP is installed in LTSP.  Depend on

