=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: extra
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Finn-Arne Johansen <faj@bzz.no>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Klaus Ade Johnstad <klaus@skolelinux.no>, Patrick Winnertz <winnie@debian.org>, Vagrant Cascadian <vagrant@freegeek.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: po-debconf
Homepage: http://www.skolelinux.org
Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-config/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/debian-edu-config/
XS-DM-Upload-Allowed: yes

Package: debian-edu-config
Architecture: all
Depends: ${misc:Depends}, cfengine2, libconfig-inifiles-perl, mime-support, libnet-ldap-perl, ng-utils, host, desktop-profiles, lsb-base, ssl-cert, openssl, libfilesys-df-perl, libtext-unaccent-perl, libhtml-fromtext-perl, libio-socket-ssl-perl, lsof, discover | discover1, resolvconf, tftp | tftp-hpa, debian-edu-artwork, education-tasks (>= 0.842~svn60380), etcinsvk, net-tools, patch, xresprobe [i386 amd64]
Recommends: syslinux [i386 amd64], memtest86+ [i386 amd64]
Suggests: atftpd | tftpd-hpa
Replaces: ldap-skolelinux, cfengine-skolelinux, ncs
Provides: cfengine-skolelinux, ncs
Conflicts: ldap-skolelinux (<= 0.1-83), cfengine-skolelinux (<= 0.338), debian-edu-install (<= 0.616), samba (<<3.0.0), ncs
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.
